Contenu | Rechercher | Menus

Annonce

Le forum a une nouvelle maison !
Le forum a été migré sur un nouvel hébergement. Si jamais vous trouvez le moindre problème, n'hésitez pas à nous en faire part !
Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 22/02/2006, à 19:15

xtof83
Invité

Probléme avec eclipse

Nouveau sur Ubuntu ;) (2jours)

je souhaite quand même vite fait rendre opérationnel mes outils de travail etc...

et là c'était au tour de eclipse..

j'ai donc installer ce quil falais avec synaptic

et je vais pour lancer mon prog :

et bam

Exception in thread "main" java.lang.NoClassDefFoundError: while resolving class: projetImage.Connexion
   at java.lang.VMClassLoader.transformException(java.lang.Class, java.lang.Throwable) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
Caused by: java.lang.ClassNotFoundException: java.lang.StringBuilder not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:/home/xtof/Documents/Christophe/SSI3/projetimages/bin/,file:./,file:/home/xtof/Documents/Christophe/SSI3/mysql-connector-java-3.1.12/mysql-connector-java-3.1.12-bin.jar], parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
   at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   ...4 more

vue que je viens de Windows, je pourrais croire que ce son les version de java qui sont pas bonne, ou autre, ...
Pourtant en vérifiant le build je suis bien sur java 5.0

Voilà si quelqu'un sait merci ;)

#2 Le 23/02/2006, à 11:25

xtof83
Invité

Re : Probléme avec eclipse

big_smile oki c'est résolu,

solution pour les personnes qui passeront un jour:
la java -version n'était pas la bonne, donc paramétrage de tout ça et c'est bon wink

Merci quand même

#3 Le 23/02/2006, à 19:45

gene69
Membre

Re : Probléme avec eclipse

Bravo et merci.


Quand le berger est lâche, le loup chie de la laine.
A (draft) guide to UFO Alien-Invasion

Hors ligne